Skip to content

Modify, Update inventory data

You call thisinventoryinventory:selflegacy

POST
/v1/inventory
curl --request POST \
--url https://api.zentail.com/v1/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "products": [ { "SKU": "example", "quantity": 1, "delta_quantity": 1, "onhand_quantity": 1, "binLocation": "example", "warehouseId": 1, "warehouseUniqueId": "example" } ], "validAsOf": "2026-04-15T12:00:00Z" }'

This call allows updating inventory data for SKUs. If the SKU does not exist in your Zentail account, it will be created and assigned the inventory provided. This works only for warhouses that dont have an integration controlling inventory.

Include only one of quantity, delta_quantity, or onhand_quantity in your request.

Provide the validAsOf timestamp and the items (Up to 50 SKUs per call)

Media typeapplication/json
object
products
required
Array<object>
object
SKU
required

SKU value is the unique identifier for a product in Zentail.

string
quantity

Quantity of the product available for sale.

integer
delta_quantity

Additional quantity of this product that is now available for sale. Adds the quantity provided to quantity currently shown in Zentail.

integer
onhand_quantity

This is the quantity of the product on hand. If this quantity is provided, the quantity that is reserved for ‘PENDING_PAYMENT’ and ‘PENDING’ orders is deducted, and the rest is made available for sale.

integer
binLocation

Name of the Bin location, if applicable.

string
warehouseId

Unique identifer for warehouse in Zentail.

integer
warehouseUniqueId

The integration’s unique identifier for the warehouse

string
validAsOf
string format: date-time
Examplegenerated
{
"products": [
{
"SKU": "example",
"quantity": 1,
"delta_quantity": 1,
"onhand_quantity": 1,
"binLocation": "example",
"warehouseId": 1,
"warehouseUniqueId": "example"
}
],
"validAsOf": "2026-04-15T12:00:00Z"
}

Success

Media typeapplication/json
Array<object>
object
SKU

SKU value is the unique identifier for a product in Zentail.

string
standardProductId

Depending on the type defined in standardProductIdType this field contains either the UPC, EAN, ISBN, or GTIN for this product.

string
standardProductIdType

One of UPC, EAN, ISBN or GTIN.

string
active
boolean
totalAvailableQuantity

This is the total quantity across all warehouses that is made available for sale on the marketplaces. This does not include stock committed or reserved for various sales orders.

integer
lastInventoryUpdateTs
string format: date-time
errorMessage

Contains error message if the inventory has not been processed successfully, else null

string
Examplegenerated
[
{
"SKU": "example",
"standardProductId": "example",
"standardProductIdType": "example",
"active": true,
"totalAvailableQuantity": 1,
"lastInventoryUpdateTs": "2026-04-15T12:00:00Z",
"errorMessage": "example"
}
]

Bad Request

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 400
}

Permission Denied

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 403
}

Not Found

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 404
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{
"errorCode": 500
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 503
}

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog